package com.wd.workoffice.bean.mesBean;

import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class FeedbackBean extends BaseMesPageBean {
    private List<ListBean> list;

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        /**
         * id : 52021d95138d437ca52ebb076a457710
         * createDateTime : null
         * updateDateTime : null
         * feedbackCode : SCFK2005002
         * productId : null
         * productCode : null
         * productName : null
         * drawingNumber : null
         * version : null
         * specification : null
         * customerId : null
         * customerName : null
         * saleUserId : null
         * saleUserCode : null
         * saleUserName : 质检主任
         * phoneNumber : null
         * boxId : null
         * boxCode : BOX003
         * serialNumber : null
         * caster : 21212
         * casterName : null
         * defectId : null
         * defectCount : 1
         * defectCounts : null
         * defectCode : null
         * defectName : 11
         * mainCause : null
         * steelTypeId : null
         * steelTypeName : null
         * feedbackDescription : null
         * otherProviderBehavior : null
         * salerOpinion : null
         * attachmentId : null
         * factoryAnalysis : null
         * factoryLeaderOpinion : null
         * factoryImplement : null
         * procedureId : null
         * procedureCode : null
         * procedureName : null
         * defectMudId : null
         * defectMudCode : null
         * defectMudName : null
         * rapidResponse : null
         * customerResponse : null
         * relatedRecord : null
         * seriesName : null
         * seriesType : null
         * severity : null
         * treatRectPlan : null
         * status : 0
         * attachments : null
         * responsibleUserId : null
         * responsibleUserName : null
         * factoryTreatmentDateTime : null
         * verifyUserId : null
         * verifyUserName : null
         * verifyUserDate : null
         * recordUserId : null
         * recorUserName : null
         * recorUserDate : null
         * responsibleDealId : null
         * responsibleDealName : null
         * responsibleDealDate : null
         * responsibleCustId : null
         * responsibleCustName : null
         * responsibleCustDate : null
         * approvalUserId : null
         * approvalUserName : null
         * approvalUserDate : null
         * createUserId : 398c852b38e911ea8334fa163e1166bd
         * createUserName : hello
         * updateUserId : null
         * updateUserName : null
         * defectMudIds : null
         * attachment : null
         * delete : false
         */

        private String id;
        private Object createDateTime;
        private Object updateDateTime;
        private String feedbackCode;
        private Object productId;
        private Object productCode;
        private String productName;
        private Object drawingNumber;
        private Object version;
        private Object specification;
        private Object customerId;
        private String customerName;
        private Object saleUserId;
        private Object saleUserCode;
        private String saleUserName;
        private String phoneNumber;
        private Object boxId;
        private String boxCode;
        private Object serialNumber;
        private String caster;
        private Object casterName;
        private Object defectId;
        private int defectCount;
        private Object defectCounts;
        private Object defectCode;
        private String defectName;
        private Object mainCause;
        private Object steelTypeId;
        private Object steelTypeName;
        private Object feedbackDescription;
        private Object otherProviderBehavior;
        private Object salerOpinion;
        private Object attachmentId;
        private Object factoryAnalysis;
        private Object factoryLeaderOpinion;
        private Object factoryImplement;
        private Object procedureId;
        private Object procedureCode;
        private Object procedureName;
        private Object defectMudId;
        private Object defectMudCode;
        private Object defectMudName;
        private Object rapidResponse;
        private Object customerResponse;
        private Object relatedRecord;
        private Object seriesName;
        private Object seriesType;
        private Object severity;
        private Object treatRectPlan;
        private String status;
        private Object attachments;
        private Object responsibleUserId;
        private Object responsibleUserName;
        private Object factoryTreatmentDateTime;
        private Object verifyUserId;
        private Object verifyUserName;
        private Object verifyUserDate;
        private Object recordUserId;
        private Object recorUserName;
        private Object recorUserDate;
        private Object responsibleDealId;
        private Object responsibleDealName;
        private Object responsibleDealDate;
        private Object responsibleCustId;
        private Object responsibleCustName;
        private Object responsibleCustDate;
        private Object approvalUserId;
        private Object approvalUserName;
        private Object approvalUserDate;
        private String createUserId;
        private String createUserName;
        private Object updateUserId;
        private Object updateUserName;
        private Object defectMudIds;
        private Object attachment;
        private boolean delete;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public Object getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(Object createDateTime) {
            this.createDateTime = createDateTime;
        }

        public Object getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(Object updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getFeedbackCode() {
            return feedbackCode;
        }

        public void setFeedbackCode(String feedbackCode) {
            this.feedbackCode = feedbackCode;
        }

        public Object getProductId() {
            return productId;
        }

        public void setProductId(Object productId) {
            this.productId = productId;
        }

        public Object getProductCode() {
            return productCode;
        }

        public void setProductCode(Object productCode) {
            this.productCode = productCode;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public Object getDrawingNumber() {
            return drawingNumber;
        }

        public void setDrawingNumber(Object drawingNumber) {
            this.drawingNumber = drawingNumber;
        }

        public Object getVersion() {
            return version;
        }

        public void setVersion(Object version) {
            this.version = version;
        }

        public Object getSpecification() {
            return specification;
        }

        public void setSpecification(Object specification) {
            this.specification = specification;
        }

        public Object getCustomerId() {
            return customerId;
        }

        public void setCustomerId(Object customerId) {
            this.customerId = customerId;
        }

        public String getCustomerName() {
            return customerName;
        }

        public void setCustomerName(String customerName) {
            this.customerName = customerName;
        }

        public Object getSaleUserId() {
            return saleUserId;
        }

        public void setSaleUserId(Object saleUserId) {
            this.saleUserId = saleUserId;
        }

        public Object getSaleUserCode() {
            return saleUserCode;
        }

        public void setSaleUserCode(Object saleUserCode) {
            this.saleUserCode = saleUserCode;
        }

        public String getSaleUserName() {
            return saleUserName;
        }

        public void setSaleUserName(String saleUserName) {
            this.saleUserName = saleUserName;
        }

        public String getPhoneNumber() {
            return phoneNumber;
        }

        public void setPhoneNumber(String phoneNumber) {
            this.phoneNumber = phoneNumber;
        }

        public Object getBoxId() {
            return boxId;
        }

        public void setBoxId(Object boxId) {
            this.boxId = boxId;
        }

        public String getBoxCode() {
            return boxCode;
        }

        public void setBoxCode(String boxCode) {
            this.boxCode = boxCode;
        }

        public Object getSerialNumber() {
            return serialNumber;
        }

        public void setSerialNumber(Object serialNumber) {
            this.serialNumber = serialNumber;
        }

        public String getCaster() {
            return caster;
        }

        public void setCaster(String caster) {
            this.caster = caster;
        }

        public Object getCasterName() {
            return casterName;
        }

        public void setCasterName(Object casterName) {
            this.casterName = casterName;
        }

        public Object getDefectId() {
            return defectId;
        }

        public void setDefectId(Object defectId) {
            this.defectId = defectId;
        }

        public int getDefectCount() {
            return defectCount;
        }

        public void setDefectCount(int defectCount) {
            this.defectCount = defectCount;
        }

        public Object getDefectCounts() {
            return defectCounts;
        }

        public void setDefectCounts(Object defectCounts) {
            this.defectCounts = defectCounts;
        }

        public Object getDefectCode() {
            return defectCode;
        }

        public void setDefectCode(Object defectCode) {
            this.defectCode = defectCode;
        }

        public String getDefectName() {
            return defectName;
        }

        public void setDefectName(String defectName) {
            this.defectName = defectName;
        }

        public Object getMainCause() {
            return mainCause;
        }

        public void setMainCause(Object mainCause) {
            this.mainCause = mainCause;
        }

        public Object getSteelTypeId() {
            return steelTypeId;
        }

        public void setSteelTypeId(Object steelTypeId) {
            this.steelTypeId = steelTypeId;
        }

        public Object getSteelTypeName() {
            return steelTypeName;
        }

        public void setSteelTypeName(Object steelTypeName) {
            this.steelTypeName = steelTypeName;
        }

        public Object getFeedbackDescription() {
            return feedbackDescription;
        }

        public void setFeedbackDescription(Object feedbackDescription) {
            this.feedbackDescription = feedbackDescription;
        }

        public Object getOtherProviderBehavior() {
            return otherProviderBehavior;
        }

        public void setOtherProviderBehavior(Object otherProviderBehavior) {
            this.otherProviderBehavior = otherProviderBehavior;
        }

        public Object getSalerOpinion() {
            return salerOpinion;
        }

        public void setSalerOpinion(Object salerOpinion) {
            this.salerOpinion = salerOpinion;
        }

        public Object getAttachmentId() {
            return attachmentId;
        }

        public void setAttachmentId(Object attachmentId) {
            this.attachmentId = attachmentId;
        }

        public Object getFactoryAnalysis() {
            return factoryAnalysis;
        }

        public void setFactoryAnalysis(Object factoryAnalysis) {
            this.factoryAnalysis = factoryAnalysis;
        }

        public Object getFactoryLeaderOpinion() {
            return factoryLeaderOpinion;
        }

        public void setFactoryLeaderOpinion(Object factoryLeaderOpinion) {
            this.factoryLeaderOpinion = factoryLeaderOpinion;
        }

        public Object getFactoryImplement() {
            return factoryImplement;
        }

        public void setFactoryImplement(Object factoryImplement) {
            this.factoryImplement = factoryImplement;
        }

        public Object getProcedureId() {
            return procedureId;
        }

        public void setProcedureId(Object procedureId) {
            this.procedureId = procedureId;
        }

        public Object getProcedureCode() {
            return procedureCode;
        }

        public void setProcedureCode(Object procedureCode) {
            this.procedureCode = procedureCode;
        }

        public Object getProcedureName() {
            return procedureName;
        }

        public void setProcedureName(Object procedureName) {
            this.procedureName = procedureName;
        }

        public Object getDefectMudId() {
            return defectMudId;
        }

        public void setDefectMudId(Object defectMudId) {
            this.defectMudId = defectMudId;
        }

        public Object getDefectMudCode() {
            return defectMudCode;
        }

        public void setDefectMudCode(Object defectMudCode) {
            this.defectMudCode = defectMudCode;
        }

        public Object getDefectMudName() {
            return defectMudName;
        }

        public void setDefectMudName(Object defectMudName) {
            this.defectMudName = defectMudName;
        }

        public Object getRapidResponse() {
            return rapidResponse;
        }

        public void setRapidResponse(Object rapidResponse) {
            this.rapidResponse = rapidResponse;
        }

        public Object getCustomerResponse() {
            return customerResponse;
        }

        public void setCustomerResponse(Object customerResponse) {
            this.customerResponse = customerResponse;
        }

        public Object getRelatedRecord() {
            return relatedRecord;
        }

        public void setRelatedRecord(Object relatedRecord) {
            this.relatedRecord = relatedRecord;
        }

        public Object getSeriesName() {
            return seriesName;
        }

        public void setSeriesName(Object seriesName) {
            this.seriesName = seriesName;
        }

        public Object getSeriesType() {
            return seriesType;
        }

        public void setSeriesType(Object seriesType) {
            this.seriesType = seriesType;
        }

        public Object getSeverity() {
            return severity;
        }

        public void setSeverity(Object severity) {
            this.severity = severity;
        }

        public Object getTreatRectPlan() {
            return treatRectPlan;
        }

        public void setTreatRectPlan(Object treatRectPlan) {
            this.treatRectPlan = treatRectPlan;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public Object getAttachments() {
            return attachments;
        }

        public void setAttachments(Object attachments) {
            this.attachments = attachments;
        }

        public Object getResponsibleUserId() {
            return responsibleUserId;
        }

        public void setResponsibleUserId(Object responsibleUserId) {
            this.responsibleUserId = responsibleUserId;
        }

        public Object getResponsibleUserName() {
            return responsibleUserName;
        }

        public void setResponsibleUserName(Object responsibleUserName) {
            this.responsibleUserName = responsibleUserName;
        }

        public Object getFactoryTreatmentDateTime() {
            return factoryTreatmentDateTime;
        }

        public void setFactoryTreatmentDateTime(Object factoryTreatmentDateTime) {
            this.factoryTreatmentDateTime = factoryTreatmentDateTime;
        }

        public Object getVerifyUserId() {
            return verifyUserId;
        }

        public void setVerifyUserId(Object verifyUserId) {
            this.verifyUserId = verifyUserId;
        }

        public Object getVerifyUserName() {
            return verifyUserName;
        }

        public void setVerifyUserName(Object verifyUserName) {
            this.verifyUserName = verifyUserName;
        }

        public Object getVerifyUserDate() {
            return verifyUserDate;
        }

        public void setVerifyUserDate(Object verifyUserDate) {
            this.verifyUserDate = verifyUserDate;
        }

        public Object getRecordUserId() {
            return recordUserId;
        }

        public void setRecordUserId(Object recordUserId) {
            this.recordUserId = recordUserId;
        }

        public Object getRecorUserName() {
            return recorUserName;
        }

        public void setRecorUserName(Object recorUserName) {
            this.recorUserName = recorUserName;
        }

        public Object getRecorUserDate() {
            return recorUserDate;
        }

        public void setRecorUserDate(Object recorUserDate) {
            this.recorUserDate = recorUserDate;
        }

        public Object getResponsibleDealId() {
            return responsibleDealId;
        }

        public void setResponsibleDealId(Object responsibleDealId) {
            this.responsibleDealId = responsibleDealId;
        }

        public Object getResponsibleDealName() {
            return responsibleDealName;
        }

        public void setResponsibleDealName(Object responsibleDealName) {
            this.responsibleDealName = responsibleDealName;
        }

        public Object getResponsibleDealDate() {
            return responsibleDealDate;
        }

        public void setResponsibleDealDate(Object responsibleDealDate) {
            this.responsibleDealDate = responsibleDealDate;
        }

        public Object getResponsibleCustId() {
            return responsibleCustId;
        }

        public void setResponsibleCustId(Object responsibleCustId) {
            this.responsibleCustId = responsibleCustId;
        }

        public Object getResponsibleCustName() {
            return responsibleCustName;
        }

        public void setResponsibleCustName(Object responsibleCustName) {
            this.responsibleCustName = responsibleCustName;
        }

        public Object getResponsibleCustDate() {
            return responsibleCustDate;
        }

        public void setResponsibleCustDate(Object responsibleCustDate) {
            this.responsibleCustDate = responsibleCustDate;
        }

        public Object getApprovalUserId() {
            return approvalUserId;
        }

        public void setApprovalUserId(Object approvalUserId) {
            this.approvalUserId = approvalUserId;
        }

        public Object getApprovalUserName() {
            return approvalUserName;
        }

        public void setApprovalUserName(Object approvalUserName) {
            this.approvalUserName = approvalUserName;
        }

        public Object getApprovalUserDate() {
            return approvalUserDate;
        }

        public void setApprovalUserDate(Object approvalUserDate) {
            this.approvalUserDate = approvalUserDate;
        }

        public String getCreateUserId() {
            return createUserId;
        }

        public void setCreateUserId(String createUserId) {
            this.createUserId = createUserId;
        }

        public String getCreateUserName() {
            return createUserName;
        }

        public void setCreateUserName(String createUserName) {
            this.createUserName = createUserName;
        }

        public Object getUpdateUserId() {
            return updateUserId;
        }

        public void setUpdateUserId(Object updateUserId) {
            this.updateUserId = updateUserId;
        }

        public Object getUpdateUserName() {
            return updateUserName;
        }

        public void setUpdateUserName(Object updateUserName) {
            this.updateUserName = updateUserName;
        }

        public Object getDefectMudIds() {
            return defectMudIds;
        }

        public void setDefectMudIds(Object defectMudIds) {
            this.defectMudIds = defectMudIds;
        }

        public Object getAttachment() {
            return attachment;
        }

        public void setAttachment(Object attachment) {
            this.attachment = attachment;
        }

        public boolean isDelete() {
            return delete;
        }

        public void setDelete(boolean delete) {
            this.delete = delete;
        }
    }
}
